:root {
  --background: hsl(0,0%,100%);
  --foreground: hsl(240,10%,3.9%);
  --ring: hsl(240,5%,84%);
  --primary-background: hsl(225,82%,38%);
  --primary-foreground: hsl(0,0%,100%);
  --border: hsl(240,5.9%,90%);
}

body {
  display: grid;
  grid-template-columns: 2fr 3fr;
  height: 100vh;
}

aside {
  background-color: var(--primary-background);
  gap: 12px;
  padding: 24px;
  margin: 16px;
  border-radius: 16px;
  display: grid;
  grid-template-rows: auto 1fr;
}

aside p {
  font-size: 16px;
  line-height: 24px;
}

img#logo {
  width: 32px;
  height: 32px;
}

img#aside-illustration {
  width: 100%;
  max-width: 70%;
  height: auto;
  justify-self: center;
  align-self: center;
}

body {
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  background-color: var(--background);
  color: var(--foreground);
  font-size: 28px;
  line-height: 36px;
  margin: 0;
}

input {
  font-size: 28px;
  color: var(--foreground);
  line-height: 36px;
  padding-inline: 8px;
  padding-block: 8px;
  border-radius: 8px;
  border-style: solid;
  border-width: 1px;
  border-color: var(--border);
  background: var(--background);
  max-width: 200px;
}

input:focus-visible,
button:focus-visible {
  outline-offset: 2px;
  outline-style: solid;
  outline-color: var(--primary-background);
  outline-width: 2px;
}

button {
  font-size: 20px;
  line-height: 36px;
  background-color: var(--primary-background);
  border-color: var(--primary-background);
  border-radius: 9999px;
  border-style: solid;
  padding: 8px 16px;
  color: var(--primary-foreground);
}

h1 {
  font-size: 47px;
  line-height: 52px;
  font-weight: normal;
}

main {
  max-width: 960px;
  margin: 0 auto;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 16px;
}

form {
  display: flex;
  gap: 8px;
  justify-content: center;
  align-items: center;
}